//____________________________________________________________________
// LEARNING DIGITAL OSCILLOSCOPE USING MSP430 AS SIGNAL GENERATOR
// 
// Date: 2014-01-02            Written by: Mukesh Soni 
//____________________________________________________________________
// 
// OUTPUT DETAILS
//____________________________________________________________________
// Pin # 1.0 : RED_LED - Burst of frequency Hz
//
// CONFIGURATION: # of pulses in the burst (burstPulses)
//____________________________________________________________________

int burstPulses = 5;
int i;
void setup() 
{ 
 // initialize the digital pins as an output.
 pinMode(P1_0, OUTPUT); // LED 1
}

void loop() {
 delay(5);
 for (i=0; i< burstPulses; i++){
   delayMicroseconds(50); 
   digitalWrite(P1_0, HIGH); 
   delayMicroseconds(100); 
   digitalWrite(P1_0, LOW); 
   delayMicroseconds(50);
 }
 
}
